com.google.gwt.user.client.ui

## Interface TabBar.Tab

All Superinterfaces:
  HasAllKeyHandlers, HasClickHandlers, HasHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasWordWrap

Enclosing class:
  TabBar

    public static interface TabBar.Tab
    extends HasAllKeyHandlers, HasClickHandlers, HasWordWrap

Set of characteristic interfaces supported by `TabBar` tabs. Note that this set might expand over time, so implement this interface at your own risk.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasWordWrap()` Check if the underlying widget implements `HasWordWrap`.

### Methods inherited from interface com.google.gwt.event.dom.client.HasKeyUpHandlers

`addKeyUpHandler`

### Methods inherited from interface com.google.gwt.event.dom.client.HasKeyDownHandlers

`addKeyDownHandler`

### Methods inherited from interface com.google.gwt.event.dom.client.HasKeyPressHandlers

`addKeyPressHandler`

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Methods inherited from interface com.google.gwt.event.dom.client.HasClickHandlers

`addClickHandler`

### Methods inherited from interface com.google.gwt.user.client.ui.HasWordWrap

`getWordWrap, setWordWrap`

### Method Detail

#### hasWordWrap

    boolean hasWordWrap()

Check if the underlying widget implements `HasWordWrap`.

Returns:
  true if the widget implements `HasWordWrap`